<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/29/2004 *
 * ================                             Last change: 04/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-support.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Contact support                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Support kontaktieren                             *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
}  elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addMenuDescription('member', __FILE__);

if ((!isExtensionActive('support')) && (!isAdmin())) {
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('support'));
	return;
} // END - if

if ((!isFormSent()) || (!isPostRequestElementSet(('qsummary')))) {
	// Output form
	loadTemplate('member_support_form');
} else {
	// Load mail template based on your member's decision
	if (getExtensionVersion('admins') >= '0.4.1') {
		$a_tpl = 'admin_support-' . postRequestElement('qsummary');
	} else {
		$message_a = loadEmailTemplate('admin_support-' . postRequestElement('qsummary'), array('text' => postRequestElement('qdetails')), getUserId());
	}
	$message_m = loadEmailTemplate('member_support-' . postRequestElement('qsummary'), array('text' => postRequestElement('qdetails')), getUserId());

	// Select right subject
	switch (postRequestElement('qsummary')) {
		case 'ordr':
			$subj_a = getMessage('SUPPORT_SUBJ_ADMIN_ORDER');
			$subj_m = getMessage('SUPPORT_SUBJ_MEMBER_ORDER');
			break;

		case 'reflink':
			$subj_a = getMessage('SUPPORT_SUBJ_ADMIN_REFLINK');
			$subj_m = getMessage('SUPPORT_SUBJ_MEMBER_REFLINK');
			break;

		case 'unconfirmed':
			$subj_a = getMessage('SUPPORT_SUBJ_ADMIN_UNCONFIRMED');
			$subj_m = getMessage('SUPPORT_SUBJ_MEMBER_UNCONFIRMED');
			break;
	} // END - switch

	// Send mail to admin
	sendAdminNotification($subj_a, $a_tpl, array('text' => postRequestElement('qdetails')), getUserId());

	// Send mail to user
	sendEmail(getUserId(), $subj_m, $message_m);

	// Drop a message in the admin's area
	createNewTask($subj_a, postRequestElement('qsummary') . ' : ' . postRequestElement('qdetails'), 'SUPPORT_MEMBER', getUserId());

	// Form sent
	loadTemplate('member_support_contcted');
}

// [EOF]
?>
